CMSIS-Core (Cortex-A): DACR Bits

| CMSIS-Core (Cortex-A) Version 1.2.1 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
DACR Bits
Domain Access Control Register (DACR)

Bit position and mask macros. More...

## Macros

#define | DACR_D_Pos_(n) (2U*n)
| DACR: Dn Position. More...
#define | DACR_D_Msk_(n) (3UL << DACR_D_Pos_(n))
| DACR: Dn Mask. More...

## Description

## Macro Definition Documentation

#define DACR_D_Msk_ | ( |  | n | ) | (3UL << DACR_D_Pos_(n))

Get the bit mask for domain n access permission.

Example:

// clear access permission for domain 7
__set_DACR(__get_DACR() & ~DACR_D_Msk_(7));

#define DACR_D_Pos_ | ( |  | n | ) | (2U*n)

Get the bit position for domain n access permission.

Example:

// retrieve access permission for domain 5
uint32_t domain5 = (__get_DACR() & DACR_D_Msk_(5)) >> DACR_D_Pos_(5);